Page MenuHomePhabricator

cirrussearch-request has some validation errors
Closed, ResolvedPublic2 Story Points

Description

.elasticsearch_requests[0].namespaces' should be array

example:

"namespaces":{"1":0}

Event Timeline

Ottomata created this task.Jun 5 2019, 4:03 PM

Change 514559 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/CirrusSearch@master] RequestLogger.php - ensure cirrussearch-request event namespaces array is an array

https://gerrit.wikimedia.org/r/514559

Change 514559 merged by Ottomata:
[mediawiki/extensions/CirrusSearch@master] RequestLogger.php - ensure cirrussearch-request event namespaces array is an array

https://gerrit.wikimedia.org/r/514559

Ottomata moved this task from Next Up to In Progress on the Analytics-Kanban board.
Ottomata triaged this task as High priority.Jun 6 2019, 12:47 PM
Ottomata set the point value for this task to 2.
Ottomata moved this task from In Progress to Done on the Analytics-Kanban board.
Ottomata renamed this task from cirrussearch-request has some validation errors for namespaces field to cirrussearch-request has some validation errors.Jun 6 2019, 5:04 PM
Ottomata moved this task from Done to In Code Review on the Analytics-Kanban board.

Found another:

'.params['Anuel_AA)_']' should be string

Change 514847 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/CirrusSearch@master] Make sure str->str map types have string, string keys

https://gerrit.wikimedia.org/r/514847

Change 514847 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Make sure str->str map types have string, string keys and values

https://gerrit.wikimedia.org/r/514847

Nuria closed this task as Resolved.Jun 26 2019, 10:49 PM